#!/usr/bin/perl -w
use strict;

use LWP::UserAgent;
my $ua = new LWP::UserAgent;
my $conf = do "../etc/wormi.pl";

$ua->env_proxy;
my $aql_form = { aql => "select a->Full_name, a->Supervised_by->Full_name,
                        a->Supervised->Full_name, a->Worked_with->Full_name
                        from a in class Person",
                 format => "Text output" };

my $response = $ua->post($conf->{URL_AQL_QUERY}, $aql_form );

if( $response->is_success ) {
    my $file_output = "./person_link.txt";
    open(PERSON,">$file_output");
    print PERSON $response->content;
    close(PERSON );
} else {
    die $response->status_line;
}
