#!/usr/bin/perl -w

## ExprPattern
## WBGeneID, exprPatternName, exprPattern, lifeStage,, sourceDB

my $conf = do "../etc/wormi.pl";
my @tmp_ts = localtime(time());
my $timestamp = sprintf("%02d%02d%02d",$tmp_ts[3],$tmp_ts[4]+1,$tmp_ts[5]%100);

my $WS_EXPR_FILE = $conf->{DIR_WORMI}. $conf->{DIR_WORMBASE_DATA}
                . $conf->{FILE_WS_EXPR_PATTERN}.".". $conf->{WORMBASE_VER} 
                .".txt";
my $WI_EXPR_FILE = $conf->{DIR_WORMI}. $conf->{DIR_WORMI_DATA}
                . $conf->{FILE_WORMI_EXPR_PATTERN}.".".$timestamp."."
                . $conf->{WORMBASE_VER}.".txt";

open(EXPRI,$WS_EXPR_FILE);
print STDERR "Read ",$WS_EXPR_FILE,"...\n";
open(EXPRO,">$WI_EXPR_FILE");
print STDERR "Write ",$WI_EXPR_FILE,"...\n";
while(<EXPRI>) {
    chomp;
    my ($gene_id, $expr_name , $expr_pattern, $life_stage, @tmp) = split(/\t/);
    next unless ($expr_pattern && $life_stage);
    print EXPRO $gene_id,"\t", $expr_name,"\t", $expr_pattern,"\t"
            , $life_stage,"\t", $conf->{WORMBASE_VER},"\n";
}
close(EXPRI);
close(EXPRO);
