{
    fetch_rnai => "select a, a->pcr_product, a->sequence, a->Phenotype,
                    a->Laboratory->Representative->Last_name,
                    a->Reference,
                    b, b[inferred_automatically]
                    from a in class rnai, b in a->gene",
    fetch_cds => "select a->Corresponding_protein, a,
                    a->Brief_identification
                    from a in class CDS
                    where exists a->Corresponding_protein
                        and exists a->Brief_identification",
    fetch_domain => "select a, a->title, a->Pep_homol
                        from a in class Motif
                        where exists a->Pep_homol",
    fetch_antibody => "select a, a->Antibody
                        from a in class Gene
                        where exists a->Antibody",
    fetch_expr_pattern  => "select a, a->Expr_pattern, a->Expr_pattern->Pattern,
                        a->Expr_pattern->Life_stage
                        from a in class Gene
                        where exists a->Expr_pattern",
    fetch_phenotype => "select a, a->Phenotype
                            from a in class Gene
                            where exists a->Phenotype",
    fetch_gene => "select g, g->Sequence_name, g->CGC_name
                    from g in class Gene
                    where exists g",
    fetch_paper => "select a, a->Author, a->Year, a->Brief_citation 
                    from a in class Paper",
};
