#!/usr/bin/perl -w
use strict;
use LWP::UserAgent;

$| = 9;

my $ua = new LWP::UserAgent;
my $conf = do "../etc/wormi.pl";
my $ace_query = do "../etc/acequery.pl";

$ua->env_proxy;
my $aql_form = { aql => $ace_query->{fetch_rnai},
                 format => "Text output" };

my $response = $ua->post($conf->{URL_AQL_QUERY}, $aql_form );

if( $response->is_success ) {
    my $file_output = $conf->{DIR_WORMI}."/".$conf->{DIR_WORMBASE_DATA}."/"
                .$conf->{FILE_WS_RNAI}.".".$conf->{WORMBASE_VER}.".txt";
    open(RNAI,">$file_output");
    print RNAI $response->content;
    close(RNAI);
} else {
    die $response->status_line;
}
