#!/usr/bin/perl -w

## Antibody
## WBGeneID, antibodyName, sourceDB

my $conf = do "../etc/wormi.pl";
my @tmp_ts = localtime(time());
my $timestamp = sprintf("%02d%02d%02d",$tmp_ts[3],$tmp_ts[4]+1,$tmp_ts[5]%100);

my $WS_AB_FILE = $conf->{DIR_WORMI}. $conf->{DIR_WORMBASE_DATA}
                . $conf->{FILE_WS_ANTIBODY}.".". $conf->{WORMBASE_VER} 
                .".txt";
my $WI_AB_FILE = $conf->{DIR_WORMI}. $conf->{DIR_WORMI_DATA}
                . $conf->{FILE_WORMI_ANTIBODY}.".".$timestamp."."
                . $conf->{WORMBASE_VER}.".txt";

open(ABI,$WS_AB_FILE);
print STDERR "Read ",$WS_AB_FILE,"...\n";
open(ABO,">$WI_AB_FILE");
print STDERR "Write ",$WI_AB_FILE,"...\n";
while(<ABI>) {
    chomp;
    my ($gene_id, $antibody_name) = split(/\t/);
    print ABO $gene_id,"\t", $antibody_name,"\t", $conf->{WORMBASE_VER},"\n";
}
close(ABI);
close(ABO);
